Description

Someone made a feature request that the default output of foremancli https://gist.github.com/1271734 is CSV for multifield records...

currently I default to just printing the returned object with puts, which concatenates all the fields of the object. I agree this doesn't

make sense for anything other than a host list. But I want to handle the default in a uniform manner and I'm not really sure how to

handle outputting structured data in a uniform manner. Short of making exceptions for every collection, which I don't want to do, is

there any ruby coolaid that I can use to tell what the structure of the returned object is and make a decision to render it appropriately?

Or are you open to changing the API to be more uniform?

e.g. - hosts should just spit out a list with one host per line, users should spit out CSV with one user per line, and for reports I have no

idea.. as that is a multinested structure

Also I can't make a universal decision on the structures returned.. e.g. look at the difference between puppetclasses and users.

puppetclasses has the name of the top level elementid match the subhash's name element. users, has the the top level elementid

identical for every record ("user").

Related issues:

Related to Hammer CLI - Feature #945: foreman CLI Closed 05/26/2011

Related to Foreman - Feature #1359: export to csv, excel Closed 11/28/2011

Related to Hammer CLI - Feature #2978: Add CSV output to the list commands Resolved 08/28/2013

History

#1 - 10/26/2011 10:30 AM - Ohad Levy

- Status changed from New to Feedback

- Target version deleted (0.4)

the way i see it is that foreman needs to provide different responses for different content type

e.g.

html --> return a web page

json --> return json structures

csv  --> etc

I don't think that the CLI should do any conversions, as that would be hard to maintain over time

#2 - 10/18/2013 08:03 AM - Benjamin Papillon

- Description updated

- Status changed from Feedback to Closed

Hello,

With 1.3 released, Hammer is now handling the command line tool. It is already able to export to CSV.

Regards,

Benjamin Papillon
#3 - 10/18/2013 08:13 AM - Dominic Cleal

- Related to Feature #1359: export to csv, excel added

#4 - 10/18/2013 08:13 AM - Dominic Cleal

- Related to Feature #2978: Add CSV output to the list commands added

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

